SDK issues according to Google

Critical issues have been reported with the following SDK versions:

com.google.android.gms:play-services-safetynet:17.0.0

What the SDK developer told us:
The SafetyNet Attestation API is being discontinued and replaced by the new Play Integrity API. Begin migration as soon as possible to avoid user disruption. The Play Integrity API includes all the integrity signals that SafetyNet Attestation offers and more, like Google Play licensing and better error messaging. Learn more and start migrating at Discontinuing the SafetyNet Attestation API  |  Android Developers

Above is the message I’ve been getting from Google on all the apps I did with SAB. What should I do?

Hello,

Sorry for the delay in responding…

If you look at the deprecation timeline, the migration deadline is June 2023. So we have time. I know it is annoying to get the messages and it would be better if we can work around this soon so that when you do get warnings about other things that they don’t get lost in the noise.

Just for clarification, Scripture App Builder does not use the SafetyNet Attestation API directly. It is most likely Firebase (or one of the Analytics packages being used) that uses the API.

I have created an issue in our issue tracker (#1146) for disabling this API in Firebase.

If anyone is not using Firebase and still getting this warning, please let us know so that we can track down were else it is being used.

Thanks for reporting this!

Chris Hubbard